> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Erstellen Workspace

> Erstellt a Workspace for an Account.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.de.json POST /v1/public/accounts/{account_id}/workspaces
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/workspaces:
    post:
      tags:
        - public-accounts
        - public-workspaces
      summary: Erstellen Workspace
      description: Erstellt a Workspace for an Account.
      operationId: create_public_workspace_v1_public_accounts__account_id__workspaces_post
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WorkspaceRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validierungsfehler
      security:
        - PublicBearerAuth: []
components:
  schemas:
    WorkspaceRequest:
      description: Anfrage Schema for creating or updating a Workspace.
      properties:
        name:
          description: Anzeigename des Arbeitsbereichs
          maxLength: 255
          minLength: 1
          title: Name
          type: string
      required:
        - name
      title: WorkspaceRequest
      type: object
    WorkspaceResponse:
      properties:
        account_id:
          description: Konto UUID, das Eigentümer des Arbeitsbereichs ist
          format: uuid
          title: Konto-ID
          type: string
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Zeitstempel für die Erstellung des Arbeitsbereichs
          title: Erstellt At
        id:
          description: Arbeitsbereich UUID
          format: uuid
          title: ID
          type: string
        name:
          description: Anzeigename des Arbeitsbereichs
          title: Name
          type: string
        status:
          default: active
          description: Status des Arbeitsbereichslebenszyklus
          title: Status
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Zeitstempel der letzten Aktualisierung des Arbeitsbereichs
          title: Aktualisiert am
      required:
        - id
        - name
        - account_id
      title: WorkspaceResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Standort
          type: array
        msg:
          title: Nachricht
          type: string
        type:
          title: Fehler Typ
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````